# List Loyalty Clubs

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v3/loyalty_clubs:
    get:
      summary: List Loyalty Clubs
      deprecated: false
      description: >-
        Returns [Loyalty Clubs](doc-341644) accessible by API client.


        ## Response Body


        | Key             | Type                |
        Description                                   |

        |-----------------|---------------------|-----------------------------------------------|

        | Loyalty Club    | Loyalty Club[] | Array of [Loyalty
        Clubs](doc-341644#loyalty-club-model) |

        | pagination_info | Object              | [Pagination](doc-341638)
        object        |


        ## Example


        ```shell

        curl "https://api.mpc.placewise.com/v3/loyalty_clubs" \
          -H 'content-type: application/json' \
          -H 'x-client-authorization: B7t9U9tsoWsGhrv2ouUoSqpM' \
          -H 'x-product-name: default' \
          -H 'x-user-agent: CURL manual test'
        ```


        When successful, returns JSON structured like this:


        ```json

        {
          "loyalty_clubs": [
            {
              // (...) - see Loyalty Club model
            }
          ],
          "pagination_info": {
              // (...) - see Pagination info model
          }
        }

        ```
      tags:
        - API Reference/Public API/Loyalty Club/Loyalty Clubs
      parameters:
        - name: per_page
          in: query
          description: >-
            Number of results to be returned per request. See: [API
            Pagination](doc-341638)
          example: 10
          schema:
            type: integer
            default: '10'
        - name: page_no
          in: query
          description: 'Number of results page. See: [API Pagination](doc-341638)'
          example: 1
          schema:
            type: integer
            minimum: 1
            default: '1'
        - name: Content-Type
          in: header
          description: '[Details](doc-341635)'
          required: true
          example: application/json
          schema:
            type: string
            default: application/json
            const: application/json
        - name: X-User-Agent
          in: header
          description: Arbitrary identifier of your client. [Details](doc-341635)
          required: true
          example: '{{X_USER_AGENT}}'
          schema:
            type: string
            default: '{{X_USER_AGENT}}'
        - name: X-Product-Name
          in: header
          description: API Product for API context. [Details](doc-341635)
          required: true
          example: '{{PRODUCT_NAME}}'
          schema:
            type: string
            default: '{{PRODUCT_NAME}}'
        - name: X-Loyalty-Club-Slug
          in: header
          description: LoyaltyClub for API context. [Details](doc-342138)
          required: false
          example: '{{LOYALTY_CLUB_SLUG}}'
          schema:
            type: string
            default: '{{LOYALTY_CLUB_SLUG}}'
        - name: X-Customer
          in: header
          description: Customer for API context.  [Details](doc-342139)
          required: false
          example: '{{CUSTOMER_ID}}'
          schema:
            type: string
            default: '{{CUSTOMER_ID}}'
        - name: Authorization
          in: header
          description: '[Member](doc-342129) or [User](doc-342130) Authorization.'
          required: false
          example: Bearer {{_OAUTH_TOKEN}}
          schema:
            type: string
            default: Bearer {{_OAUTH_TOKEN}}
        - name: X-Client-Authorization
          in: header
          description: '[Token](doc-342128) Authorization.'
          example: '{{API_TOKEN}}'
          schema:
            type: string
            default: '{{API_TOKEN}}'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  loyalty_clubs:
                    $ref: '#/components/schemas/LoyaltyClub'
                  pagination_info:
                    $ref: '#/components/schemas/PaginationInfo'
                x-apidog-orders:
                  - loyalty_clubs
                  - pagination_info
                required:
                  - loyalty_clubs
                  - pagination_info
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: API Reference/Public API/Loyalty Club/Loyalty Clubs
      x-apidog-status: pending
      x-run-in-apidog: https://app.eu.apidog.com/web/project/346351/apis/api-3510799-run
components:
  schemas:
    PaginationInfo:
      type: object
      properties:
        count:
          type: integer
          description: Actual number of results returned in request
          readOnly: true
          examples:
            - 1000
        total_count:
          type: integer
          description: Number of all available results
          minimum: 1
          examples:
            - 2050
        per_page:
          type: integer
          description: Number of results returned per request
          readOnly: true
          examples:
            - 1000
        total_pages:
          type: integer
          description: Number of all available pages
          readOnly: true
          examples:
            - 3
        current_page:
          type: integer
          readOnly: true
          examples:
            - 1
        next_page:
          type: integer
          description: Next available page (null when it's a last page)
          readOnly: true
          examples:
            - 2
          nullable: true
        prev_page:
          type: integer
          description: Next available page (null when it's a first page)
          readOnly: true
          examples:
            - null
          nullable: true
        is_first_page:
          type: boolean
          readOnly: true
          examples:
            - true
        is_last_page:
          type: boolean
          readOnly: true
          examples:
            - false
        is_out_of_range:
          type: boolean
          description: Is given `per_page` param out of range?
          readOnly: true
          examples:
            - false
        offset:
          type: integer
          readOnly: true
          examples:
            - 0
      required:
        - count
        - total_count
        - per_page
        - total_pages
        - current_page
        - next_page
        - prev_page
        - is_first_page
        - is_last_page
        - is_out_of_range
        - offset
      x-apidog-orders:
        - count
        - total_count
        - per_page
        - total_pages
        - current_page
        - next_page
        - prev_page
        - is_first_page
        - is_last_page
        - is_out_of_range
        - offset
      readOnly: true
      x-apidog-ignore-properties: []
      nullable: true
      x-apidog-folder: ''
    LoyaltyClub:
      type: object
      properties:
        id: &ref_0
          $ref: '#/components/schemas/id'
        type:
          type: string
          enum:
            - MAIN
            - TENANT
          x-apidog-enum:
            - value: MAIN
              name: ''
              description: ''
            - value: TENANT
              name: ''
              description: ''
        community_id: *ref_0
        customer_id:
          $ref: '#/components/schemas/id.customer_id'
        main_slug:
          type: string
        short_slug:
          type: string
        other_slugs:
          type: array
          items:
            type: string
        name:
          type: string
        country:
          description: >-
            [ISO 3166-1 alpha-2
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
          $ref: '#/components/schemas/country'
        main_language:
          type: string
          description: >-
            [ISO 639-1 alpha-2
            code](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes)
        languages:
          type: array
          items:
            type: string
          description: >-
            [ISO 639-1 alpha-2
            code](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes)
        timezone:
          type: string
          description: >-
            [TZ database
            name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones)
        main_website_domain:
          $ref: '#/components/schemas/url'
        website_domains:
          type: array
          items:
            type: string
        member_identifiers:
          type: array
          items:
            type: string
            enum:
              - msisdn
              - email
            x-apidog-enum:
              - value: msisdn
                name: ''
                description: ''
              - value: email
                name: ''
                description: ''
        mobile_app_setting:
          $ref: '#/components/schemas/LoyaltyClubMobileAppSetting'
          description: Returned if query parameter with_mobile_settings is true
      x-apidog-orders:
        - id
        - type
        - community_id
        - customer_id
        - main_slug
        - short_slug
        - other_slugs
        - name
        - country
        - main_language
        - languages
        - timezone
        - main_website_domain
        - website_domains
        - member_identifiers
        - mobile_app_setting
      x-apidog-refs: {}
      required:
        - id
        - type
        - community_id
        - customer_id
        - main_slug
        - short_slug
        - other_slugs
        - name
        - country
        - main_language
        - languages
        - timezone
        - main_website_domain
        - website_domains
        - member_identifiers
        - mobile_app_setting
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    LoyaltyClubMobileAppSetting:
      type: object
      properties:
        android_app_id:
          type: string
        ios_app_id:
          type: string
        ios_bundle_id:
          type: string
        ios_team_id:
          type: string
        app_logo_url:
          type: string
          description: URL to app logo image
        notifications_center_messages_limit:
          type: integer
          description: Notification center messages visibility limit
      x-apidog-orders:
        - android_app_id
        - ios_app_id
        - ios_bundle_id
        - ios_team_id
        - app_logo_url
        - notifications_center_messages_limit
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    url:
      type: string
      examples:
        - https://example.com
      x-apidog-folder: ''
    country:
      type: string
      description: '[ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)'
      examples:
        - 'NO'
      x-apidog-folder: ''
    id.customer_id:
      type: integer
      format: uint64
      readOnly: true
      examples:
        - 447
      description: Customer the record is assigned to
      x-apidog-folder: ''
    id:
      type: integer
      description: Primary identifier of the record
      format: uint64
      readOnly: true
      examples:
        - 1
      x-apidog-folder: ''
  securitySchemes: {}
servers:
  - url: https://api.mpc.dev.placewise.com
    description: Staging
security: []

```